Objetos de um perfil
curl --request GET \
--url https://{space}.{region}.api.niadra.com/v1/profiles/{profile_id}/objects \
--header 'Authorization: Bearer <token>'import requests
url = "https://{space}.{region}.api.niadra.com/v1/profiles/{profile_id}/objects"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{space}.{region}.api.niadra.com/v1/profiles/{profile_id}/objects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"profile_id": "0192f7a1-5b10-7c3a-8e21-4d2f8a4c0e01",
"audience": "human",
"policy_version": "pol-14",
"objects": [
{
"id": "obj_invoice_0823",
"ref": {
"type": "invoice",
"namespace": "erp",
"id": "0823"
},
"role": "owner",
"state": {
"status": "credited",
"amount_due": 49.9,
"currency": "USD"
},
"as_of": "2026-09-22T17:06:24Z",
"source_id": "src_erp",
"record_ref": "erp://invoices/0823",
"actions": [
{
"id": "act_01J8ZK",
"operation": "credit",
"result": "$40 credit on the August bill",
"purpose": "billing",
"status": "confirmed",
"object_id": "obj_invoice_0823",
"closes_item_id": "oi_01J8ZJ",
"confirmed_by_event_id": "0192f7a1-6a2b-7d11-9c3e-1a2b3c4d5e03",
"occurred_at": "2026-09-22T17:06:21Z",
"origin": {
"event_id": "0192f7a1-6a2b-7d11-9c3e-1a2b3c4d5e02",
"source_id": "src_billing",
"channel": "erp",
"kind": "action",
"speaker": "ai_agent",
"conversation_id": null,
"task_id": "billing-7741",
"at": "2026-09-22T17:06:21Z"
}
}
],
"masked": false
}
],
"actions": [],
"withheld": {}
}{
"code": "<string>",
"status": 123,
"title": "<string>",
"detail": "<string>",
"request_id": "<string>",
"type": "about:blank"
}Identidade e perfis
Objetos de um perfil
Os pedidos, tickets e faturas ligados a um perfil.
GET
/
v1
/
profiles
/
{profile_id}
/
objects
Objetos de um perfil
Autorizações
sourceKeypersonToken
nia_sk_...
Parâmetros de caminho
Resposta
Os objetos do perfil.
Opções disponíveis:
customer_agent, internal_agent, human, reviewer, analyst, trigger_target, export Ações sobre nenhum objeto da lista, como uma que fecha uma promessa.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes

